CURLINFO_PROTOCOL(3)

NAME
CURLINFO_PROTOCOL - get the protocol used in the connection

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_PROTOCOL, long *p);

DESCRIPTION
Pass a pointer to a long to receive the version used in the last http connection. The returned value will be one of the CURLPROTO_* values.

PROTOCOLS
All

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  CURLcode res;
  curl_easy_setopt(curl, CURLOPT_URL, "http://example.com");
  res = curl_easy_perform(curl);
  if(res == CURLE_OK) {
    long protocol;
    curl_easy_getinfo(curl, CURLINFO_PROTOCOL, &protocol);
  }
  curl_easy_cleanup(curl);
}

AVAILABILITY
Added in 7.52.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLINFO_RESPONSE_CODE(3), curl_easy_getinfo(3), curl_easy_setopt(3),